Module
Contents
Index 🔎︎

# Seek Statement

Anger position för nästa skrivning eller läsning i en fil som är öppnad med Open-satsen.

För filer med Random-åtkomst returnerar Seek-satsen numret på nästa post som ska öppnas.

För alla andra filer anger Seek-satsen den byteposition där nästa operation ska inträffa.

Se även: Open, Seek.

## Syntax:

    Seek[#FileNumber], Position (As Long)

## Parametrar:

FileNumber: Det datakanalnummer som användes i Open-satsen.

Position: Position för nästa skrivning eller läsning. Position kan vara ett tal mellan 1 och 2 147 483 647. Beroende på filtyp anger positionen postens nummer (filer i Random-läge) eller bytepositionen (filer i Binary-, Output-, Append- eller Input-läge). En fils första byte är position 1, nästa byte är position 2, o.s.v.

## Error codes:

5 Felaktigt proceduranrop

52 Ogiltigt filnamn eller filnummer